package com.mortals.xhx.module.one.model;
import java.util.List;
import java.util.ArrayList;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.one.model.vo.OneClassifyTopicalVo;
/**
* 分类引导主题中间实体对象
*
* @author zxfei
* @date 2021-11-16
*/

public class OneClassifyTopicalEntity extends OneClassifyTopicalVo {
    private static final long serialVersionUID = 1L;

    /**
    * 主题id
    */
    private Long topicalId;
    /**
    * 分类引导id
    */
    private Long classifyId;
    /**
    * 分类引导排序
    */
    private Integer classifyRank;
    /**
    * 终端主题包图标（建议图标尺寸为290px*180px，格式为png）
    */
    private String terminalIcon;
    /**
    * 移动主题包图标（建议图标尺寸为42px*42px，格式为png）
    */
    private String moveIcon;
    /**
    * 事项id(多个事项以逗号隔开)
    */
    private String matterId;
    /**
    * 到现场次数
    */
    private Integer presenceNum;
    /**
    * 办理机构
    */
    private String jointInfoShow;
    /**
    * 法定时限
    */
    private String legalTimeLimitShow;
    /**
    * 承诺时限
    */
    private String promiseTimeLimitShow;
    /**
    * 收费标准
    */
    private String isChargesShow;
    /**
    * 收费金额
    */
    private String charges;
    /**
    * 办理时间
    */
    private String handleTimeShow;
    /**
    * 办理地点
    */
    private String handlePlaceShow;
    /**
    * 咨询方式
    */
    private String cousultingTelephoneShow;
    /**
    * 结果信息
    */
    private String resultInfo;
    /**
    * 投诉电话
    */
    private String supervisoryTelephoneShow;
    /**
    * 
    */
    private Integer deleted;
    /**
    * 创建人名称
    */
    private String createUserName;
    /**
    * 修改人名称
    */
    private String updateUserName;



    public OneClassifyTopicalEntity(){}
    /**
    * 获取 主题id
    * @return Long
    */
    public Long getTopicalId(){
        return topicalId;
    }
    /**
    * 设置 主题id
    * @param topicalId
    */
    public void setTopicalId(Long topicalId){
        this.topicalId = topicalId;
    }
    /**
    * 获取 分类引导id
    * @return Long
    */
    public Long getClassifyId(){
        return classifyId;
    }
    /**
    * 设置 分类引导id
    * @param classifyId
    */
    public void setClassifyId(Long classifyId){
        this.classifyId = classifyId;
    }
    /**
    * 获取 分类引导排序
    * @return Integer
    */
    public Integer getClassifyRank(){
        return classifyRank;
    }
    /**
    * 设置 分类引导排序
    * @param classifyRank
    */
    public void setClassifyRank(Integer classifyRank){
        this.classifyRank = classifyRank;
    }
    /**
    * 获取 终端主题包图标（建议图标尺寸为290px*180px，格式为png）
    * @return String
    */
    public String getTerminalIcon(){
        return terminalIcon;
    }
    /**
    * 设置 终端主题包图标（建议图标尺寸为290px*180px，格式为png）
    * @param terminalIcon
    */
    public void setTerminalIcon(String terminalIcon){
        this.terminalIcon = terminalIcon;
    }
    /**
    * 获取 移动主题包图标（建议图标尺寸为42px*42px，格式为png）
    * @return String
    */
    public String getMoveIcon(){
        return moveIcon;
    }
    /**
    * 设置 移动主题包图标（建议图标尺寸为42px*42px，格式为png）
    * @param moveIcon
    */
    public void setMoveIcon(String moveIcon){
        this.moveIcon = moveIcon;
    }
    /**
    * 获取 事项id(多个事项以逗号隔开)
    * @return String
    */
    public String getMatterId(){
        return matterId;
    }
    /**
    * 设置 事项id(多个事项以逗号隔开)
    * @param matterId
    */
    public void setMatterId(String matterId){
        this.matterId = matterId;
    }
    /**
    * 获取 到现场次数
    * @return Integer
    */
    public Integer getPresenceNum(){
        return presenceNum;
    }
    /**
    * 设置 到现场次数
    * @param presenceNum
    */
    public void setPresenceNum(Integer presenceNum){
        this.presenceNum = presenceNum;
    }
    /**
    * 获取 办理机构
    * @return String
    */
    public String getJointInfoShow(){
        return jointInfoShow;
    }
    /**
    * 设置 办理机构
    * @param jointInfoShow
    */
    public void setJointInfoShow(String jointInfoShow){
        this.jointInfoShow = jointInfoShow;
    }
    /**
    * 获取 法定时限
    * @return String
    */
    public String getLegalTimeLimitShow(){
        return legalTimeLimitShow;
    }
    /**
    * 设置 法定时限
    * @param legalTimeLimitShow
    */
    public void setLegalTimeLimitShow(String legalTimeLimitShow){
        this.legalTimeLimitShow = legalTimeLimitShow;
    }
    /**
    * 获取 承诺时限
    * @return String
    */
    public String getPromiseTimeLimitShow(){
        return promiseTimeLimitShow;
    }
    /**
    * 设置 承诺时限
    * @param promiseTimeLimitShow
    */
    public void setPromiseTimeLimitShow(String promiseTimeLimitShow){
        this.promiseTimeLimitShow = promiseTimeLimitShow;
    }
    /**
    * 获取 收费标准
    * @return String
    */
    public String getIsChargesShow(){
        return isChargesShow;
    }
    /**
    * 设置 收费标准
    * @param isChargesShow
    */
    public void setIsChargesShow(String isChargesShow){
        this.isChargesShow = isChargesShow;
    }
    /**
    * 获取 收费金额
    * @return String
    */
    public String getCharges(){
        return charges;
    }
    /**
    * 设置 收费金额
    * @param charges
    */
    public void setCharges(String charges){
        this.charges = charges;
    }
    /**
    * 获取 办理时间
    * @return String
    */
    public String getHandleTimeShow(){
        return handleTimeShow;
    }
    /**
    * 设置 办理时间
    * @param handleTimeShow
    */
    public void setHandleTimeShow(String handleTimeShow){
        this.handleTimeShow = handleTimeShow;
    }
    /**
    * 获取 办理地点
    * @return String
    */
    public String getHandlePlaceShow(){
        return handlePlaceShow;
    }
    /**
    * 设置 办理地点
    * @param handlePlaceShow
    */
    public void setHandlePlaceShow(String handlePlaceShow){
        this.handlePlaceShow = handlePlaceShow;
    }
    /**
    * 获取 咨询方式
    * @return String
    */
    public String getCousultingTelephoneShow(){
        return cousultingTelephoneShow;
    }
    /**
    * 设置 咨询方式
    * @param cousultingTelephoneShow
    */
    public void setCousultingTelephoneShow(String cousultingTelephoneShow){
        this.cousultingTelephoneShow = cousultingTelephoneShow;
    }
    /**
    * 获取 结果信息
    * @return String
    */
    public String getResultInfo(){
        return resultInfo;
    }
    /**
    * 设置 结果信息
    * @param resultInfo
    */
    public void setResultInfo(String resultInfo){
        this.resultInfo = resultInfo;
    }
    /**
    * 获取 投诉电话
    * @return String
    */
    public String getSupervisoryTelephoneShow(){
        return supervisoryTelephoneShow;
    }
    /**
    * 设置 投诉电话
    * @param supervisoryTelephoneShow
    */
    public void setSupervisoryTelephoneShow(String supervisoryTelephoneShow){
        this.supervisoryTelephoneShow = supervisoryTelephoneShow;
    }
    /**
    * 获取 
    * @return Integer
    */
    public Integer getDeleted(){
        return deleted;
    }
    /**
    * 设置 
    * @param deleted
    */
    public void setDeleted(Integer deleted){
        this.deleted = deleted;
    }
    /**
    * 获取 创建人名称
    * @return String
    */
    public String getCreateUserName(){
        return createUserName;
    }
    /**
    * 设置 创建人名称
    * @param createUserName
    */
    public void setCreateUserName(String createUserName){
        this.createUserName = createUserName;
    }
    /**
    * 获取 修改人名称
    * @return String
    */
    public String getUpdateUserName(){
        return updateUserName;
    }
    /**
    * 设置 修改人名称
    * @param updateUserName
    */
    public void setUpdateUserName(String updateUserName){
        this.updateUserName = updateUserName;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof OneClassifyTopicalEntity) {
            OneClassifyTopicalEntity tmp = (OneClassifyTopicalEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",topicalId:").append(getTopicalId());
        sb.append(",classifyId:").append(getClassifyId());
        sb.append(",classifyRank:").append(getClassifyRank());
        sb.append(",terminalIcon:").append(getTerminalIcon());
        sb.append(",moveIcon:").append(getMoveIcon());
        sb.append(",matterId:").append(getMatterId());
        sb.append(",presenceNum:").append(getPresenceNum());
        sb.append(",jointInfoShow:").append(getJointInfoShow());
        sb.append(",legalTimeLimitShow:").append(getLegalTimeLimitShow());
        sb.append(",promiseTimeLimitShow:").append(getPromiseTimeLimitShow());
        sb.append(",isChargesShow:").append(getIsChargesShow());
        sb.append(",charges:").append(getCharges());
        sb.append(",handleTimeShow:").append(getHandleTimeShow());
        sb.append(",handlePlaceShow:").append(getHandlePlaceShow());
        sb.append(",cousultingTelephoneShow:").append(getCousultingTelephoneShow());
        sb.append(",resultInfo:").append(getResultInfo());
        sb.append(",supervisoryTelephoneShow:").append(getSupervisoryTelephoneShow());
        sb.append(",deleted:").append(getDeleted());
        sb.append(",createUserName:").append(getCreateUserName());
        sb.append(",updateUserName:").append(getUpdateUserName());
        return sb.toString();
    }

    public void initAttrValue(){
            this.topicalId = null;
            this.classifyId = null;
            this.classifyRank = null;
            this.terminalIcon = null;
            this.moveIcon = null;
            this.matterId = null;
            this.presenceNum = null;
            this.jointInfoShow = "";
            this.legalTimeLimitShow = "";
            this.promiseTimeLimitShow = "";
            this.isChargesShow = "否";
            this.charges = "";
            this.handleTimeShow = "";
            this.handlePlaceShow = "";
            this.cousultingTelephoneShow = "";
            this.resultInfo = "";
            this.supervisoryTelephoneShow = "";
            this.deleted = 0;
            this.createUserName = null;
            this.updateUserName = null;
    }
}